Retrieve Cart status

Retrieves the current status of cart pricing and configuration for specified line items. This API supports filtering results by primary line numbers or line numbers, with pagination support (500 records per page by default). You can include related objects such as adjustments, price-breakups, usage-tiers, summary-groups, and line item details. The response can be grouped by a specified field and filtered using standard URI format conditions.
Note: Use either primaryLineNumbers or lineNumbers to filter responses. If both are specified, the API prioritizes primaryLineNumbers. In adjustment lines, only entry-level records (e.g., Price Rule Entry, Price Matrix Entry) are included; parent records (e.g., Price Rule, Price Matrix) are not exposed.

Required Fields:

  • cartId (route) - required

Responses

  • 200 OK: the cart pricing/configuration status is returned.
  • 400 Bad Request: the request could not be processed.
  • 422 Unprocessable Entity: the request could not be processed for the cart.
  • 500 Internal Server Error: an unexpected error occurred.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the cart

Query Params
primaryLineNumbers
array of int32s

Specify the primary line numbers to be returned in the response.

primaryLineNumbers
lineNumbers
array of int32s

Specify the line numbers to be returned in the response.

lineNumbers
includes
array of strings

A list of related objects to include in search results. Related objects for inclusion can be: adjustments, price-breakups, usage-tiers, summary-groups, line-items, line-items.pricelist, line-items.pricelistitem, line-items.product, line-items.option, and requests-state.

includes
filter
array of strings

Add conditional filters in standard URI format to narrow the search result.

filter
sort
array of strings

Add conditional sorting in standard URI format to narrow the sort result.

sort
string

FilterExpression to filter using AND/OR e.g. "(1 AND (2 OR 3))". If this parameter is null, it will apply AND by default among all filter conditions.

int32
Defaults to 1

Enter the page number of the line. For example, if there are 500 lines in the cart and page size is 25, then a page number can vary from 1 to 20.

int32
Defaults to 50

Enter the number of objects to be retrieved.

boolean
Defaults to false

Set the Include Config Action response to True. The value is set to False by default.

string

A field name from which the Line Items will be grouped by

Responses

500

Internal Server Error

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json